<style type="text/css">
/* BASE */
body,div{
padding:0;
margin:0;
}
img{border:0;}
<pc>
*{
box-sizing:content-box;
-webkit-background-clip:padding-box;
background-clip:padding-box;
-webkit-tap-highlight-color:rgba(0,0,0,0);
}
a{
outline:none;
background:transparent;
}
input,input[type],textarea,select{
padding:0 0.3em;
margin:3px;
border-radius:0;
outline:none;
background:transparent;
font-size:14px;
vertical-align:middle;
}
<pc_only>
br{letter-spacing:0;}
input,textarea,select{height:1.5em;}
input[type="submit"]{
-webkit-appearance:button;
cursor:pointer;
}
input[type="text"],input[type="password"],textarea{width:20em;}
select{padding:0 0 0 0.1em}
</pc_only><smartphone>
input[type="text"],input[type="number"],input[type="password"],input[type="submit"],textarea,select{
-webkit-appearance:none;
appearance:none;
height:2em;
}
input[type="text"],input[type="number"],input[type="password"]{width:60%;}
input[type="submit"]{
-webkit-box-shadow:none;
width:auto;
font-weight:normal;
}
input[type="submit"].narrow{padding:0 0.3em;}
input[type="checkbox"]{
background:url("未選択チェックボックス画像URL") no-repeat center;}
input[type="checkbox"]:checked{
background:url("選択中チェックボックス画像URL") no-repeat center;}
input[type="radio"]{
background:url("未選択ラジオボタン画像URL") no-repeat center;}
input[type="radio"]:checked{
background:url("選択中ラジオボタン画像URL") no-repeat center;}
input[type="checkbox"],input[type="checkbox"]:checked,input[type="radio"],input[type="radio"]:checked{
-webkit-appearance:button;
appearance:button;
width:20px;
height:20px;
margin:1px 0.5em 1px 0;
border:0;
background-size:contain;
vertical-align:-6px;
}
textarea{width:70%;}
select,select.wide{
width:auto;
padding:0 0.5em 0 22px;
background:url("プルダウンメニュー矢印画像URL") no-repeat 5px center;
}
</smartphone>
textarea{
height:5em;
padding:0.3em;
}
body input[name="pageJump"]{width:3em;}
</pc></style>